import matplotlib.pyplot as plt
import numpy as np

# Una gráfica de +/- 4 sigma
# resulta en el intervalo [2,18]

vx = np.linspace( 2, 18, 70 ) 


# g = k * exp( -(x-media)^2/(2*var) )

media = 10.0
var = 4.0
k = 1.0/np.sqrt(2.0*np.pi*var)
vy1 = k*np.exp( -(vx - media)*(vx - media)/(2*var)  )

media = 10.0
var = 1.0
k = 1.0/np.sqrt(2.0*np.pi*var)
vy2 = k*np.exp( -(vx - media)*(vx - media)/(2*var)  )

# Muestro ambas gráficas de las dos gausianas:

fig, [ax1, ax2] = plt.subplots( 1, 2 )

# La gráfica 1
ax1.plot( vx, vy1 )
ax1.plot( vx, vy2 )
ax1.set_xlabel( "x" )
ax1.set_ylabel( "Función gausiana, media=10, var=4" )
ax1.grid( )

# La gráfica 1
ax2.plot( vx, vy2 )
ax2.set_xlabel( "x" )
ax2.set_ylabel( "Función gausiana, media=10, var=1" )
ax2.grid( )

#plt.show( )
#fig.savefig("gausiana.png")
fig.savefig("gausiana2.pdf")
 

